#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 semigroups
version:              0.20
visibility:           public
id:                   semigroups-0.20-BG9mK0I8NaP86CKBmigWdu
key:                  semigroups-0.20-BG9mK0I8NaP86CKBmigWdu
license:              BSD-3-Clause
copyright:            Copyright (C) 2011-2015 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/semigroups/
synopsis:             Anything that associates
description:
    In mathematics, a semigroup is an algebraic structure consisting of a set together with an associative binary operation. A semigroup generalizes a monoid in that there might not exist an identity element. It also (originally) generalized a group (a monoid with all inverses) to a type where every element did not have to have an inverse, thus the name semigroup.

category:             Algebra, Data, Data Structures, Math
abi:                  e74aa6733153900f8cbb711ca1d6da5f
exposed:              True
exposed-modules:      Data.Semigroup.Generic
import-dirs:          /usr/lib/ghc-9.8.2/site-local/semigroups-0.20
library-dirs:         /usr/lib/ghc-9.8.2/site-local/semigroups-0.20
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/semigroups-0.20
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/semigroups-0.20
hs-libraries:         HSsemigroups-0.20-BG9mK0I8NaP86CKBmigWdu
depends:              base-4.19.1.0-inplace
haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/semigroups-0.20/html/semigroups.haddock

haddock-html:         /usr/share/doc/x86_64-linux-ghc-9.8.2/semigroups-0.20/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

